> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Screenshot

> Endpoint returns a screenshot given timestamp in seconds



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/video/screenshot
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/video/screenshot:
    get:
      tags:
        - Screenshot
      summary: Video Screenshot
      description: Endpoint returns a screenshot given timestamp in seconds
      operationId: Video_Screenshot
      parameters:
        - name: video_id
          in: query
          required: true
          schema:
            type: string
            default: PuQFESk0BrA
        - name: timestamp_s
          in: query
          required: true
          schema:
            type: number
            default: '1200'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_video_screenshot_Response'
        '400':
          description: Bad request
        '401':
          description: Unauthorized - invalid API key
        '429':
          description: Rate limit exceeded
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_video_screenshot_Response:
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````